<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:class="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_SchemaInformationStructure" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" elementFormDefault="qualified" targetNamespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_SchemaInformationStructure">
<xs:import namespace="http://schemas.dmtf.org/wbem/wscim/1/common" schemaLocation="http://schemas.dmtf.org/wbem/wscim/1/common.xsd"/>
<xs:element name="Name" type="cim:cimString">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Required" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">The schema name (as defined in DSP0004). For example, CIM or PRS. NOTE: The schema name shall not include the underscore character.</cim:Qualifier>
<cim:Classorigin name="CIM_SchemaInformationStructure"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="Version" type="cim:cimString">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Required" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">The schema version in M.N.U (Major.Minor.Update) format. For example 2.36.0 or 1.0.0.</cim:Qualifier>
<cim:Classorigin name="CIM_SchemaInformationStructure"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="Description" nillable="true" type="cim:cimString">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Description" type="cim:cimString">The description for this schema.</cim:Qualifier>
<cim:Classorigin name="CIM_SchemaInformationStructure"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="URI" nillable="true" type="cim:cimString">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Description" type="cim:cimString">A URI (see RFC3986) that uniquely identifies this schema version. Note that this is a URI for iddentifying the schema version, not a URL for accessing it. For example, http://schemas.dmtf.org/wbem/cim-schema/2.35.0/.</cim:Qualifier>
<cim:Classorigin name="CIM_SchemaInformationStructure"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="OwningOrganization" nillable="true" type="cim:cimString">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Description" type="cim:cimString">The owning organization of the schema. For example, DMTF, SNIA or ACME</cim:Qualifier>
<cim:Classorigin name="CIM_SchemaInformationStructure"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="Status" nillable="true">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Description" type="cim:cimString">The status of the schema.</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="0">Unknown</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="2">Final</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="3">Experimental</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="..">DMTF Reserved</cim:Qualifier>
<cim:Classorigin name="CIM_SchemaInformationStructure"/>
</xs:appinfo>
</xs:annotation>
<xs:complexType>
<xs:simpleContent>
<xs:restriction base="cim:cimAnySimpleType">
<xs:simpleType>
<xs:union>
<xs:simpleType>
<xs:restriction base="xs:unsignedInt">
<xs:enumeration value="0"/>
<xs:enumeration value="2"/>
<xs:enumeration value="3"/>
</xs:restriction>
</xs:simpleType>
<xs:simpleType>
<xs:union>
<xs:simpleType>
<xs:restriction base="xs:unsignedInt">
<xs:enumeration value="1"/>
</xs:restriction>
</xs:simpleType>
<xs:simpleType>
<xs:restriction base="xs:unsignedInt">
<xs:minInclusive value="4"/>
</xs:restriction>
</xs:simpleType>
</xs:union>
</xs:simpleType>
</xs:union>
</xs:simpleType>
<xs:anyAttribute namespace="##any" processContents="lax"/>
</xs:restriction>
</xs:simpleContent>
</xs:complexType>
</xs:element>
<xs:element name="CIM_SchemaInformationStructure" type="class:CIM_SchemaInformationStructure_Type">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Class name="CIM_SchemaInformationStructure"/>
<cim:Qualifier name="Indication" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Version" type="cim:cimString">2.38.0</cim:Qualifier>
<cim:Qualifier name="UMLPackagePath" type="cim:cimString">CIM::Interop::Schema</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">The CIM_SchemaInformation structure describes information for a specific version of a schema.</cim:Qualifier>
<cim:Qualifier name="Structure" type="cim:cimBoolean">true</cim:Qualifier>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:complexType name="CIM_SchemaInformationStructure_Type">
<xs:sequence>
<xs:element minOccurs="0" ref="class:Description"/>
<xs:element ref="class:Name"/>
<xs:element minOccurs="0" ref="class:OwningOrganization"/>
<xs:element minOccurs="0" ref="class:Status"/>
<xs:element minOccurs="0" ref="class:URI"/>
<xs:element ref="class:Version"/>
<xs:any maxOccurs="unbounded" minOccurs="0" namespace="##other" processContents="lax"/>
</xs:sequence>
<xs:anyAttribute namespace="##any" processContents="lax"/>
</xs:complexType>
</xs:schema>
